{% extends 'dashboard/dashboard.twig' %}

{% block title %}Add Grade | GradeBook{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" type="text/css" href="{{ asset('css/main.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('css/students.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('css/form.css') }}">
{% endblock %}

{% block body %}

<div id="form-container">
    {{ form_start(form) }}
    <div id="form-title">
        <div id="form-title-text">
            <h3>Add Grade</h3>
        </div>
    </div>
    <div class="form-three-inputs">
        <div class="form-three-inputs-area">
            <div class="element-label">
                <div class="element-label-text">
                    <label>Student</label>
                </div>
            </div>
            <div class="element-input">
                {{ form_widget(form.student, {'attr': {'class': 'form-input'}}) }}
            </div>
        </div>
        <div class="form-three-inputs-area">
            <div class="element-label">
                <div class="element-label-text">
                    <label>Class</label>
                </div>
            </div>
            <div class="element-input">
                {{ form_widget(form.class, {'attr': {'class': 'form-input'}}) }}
            </div>
        </div>
        <div class="form-three-inputs-area">
            <div class="element-label">
                <div class="element-label-text">
                    <label>Result</label>
                </div>
            </div>
            <div class="element-input">
                {{ form_widget(form.result, {'attr': {'class': 'form-input'}}) }}
            </div>
        </div>
    </div>
    <div class="form-two-inputs">
        <div class="form-two-inputs-area">
            <div class="element-label">
                <div class="element-label-text">
                    <label>Type</label>
                </div>
            </div>
            <div class="element-input">
                {{ form_widget(form.type, {'attr': {'class': 'form-input'}}) }}
            </div>
        </div>
        <div class="form-two-inputs-area">
            <div class="element-label">
                <div class="element-label-text">
                    <label>Date</label>
                </div>
            </div>
            <div class="element-input">
                {{ form_widget(form.date, {'attr': {'class': 'form-input-date'}}) }}
            </div>
        </div>
    </div>
    <div class="form-submit">
        {{ form_widget(form.save, {'attr': {'class': 'save-button', 'type': 'date'}}) }}
    </div>
    {{ form_end(form) }}
</div>
<div id="image">
    <img src="{{ asset('img/grade-add.png') }}">
</div>

{% endblock %}
